/*******************************************************************************
 * Copyright (c) 2007, 2011 compeople AG and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    compeople AG - initial API and implementation
 *******************************************************************************/
package org.eclipse.riena.internal.communication.factory.hessian;

import java.util.logging.Handler;
import java.util.logging.Logger;

import com.caucho.hessian.io.SerializerFactory;

import org.osgi.framework.BundleContext;

import org.eclipse.riena.core.RienaActivator;

public class Activator extends RienaActivator {

	// The shared instance
	private static Activator plugin;

	private final Handler watchDog = new RienaHessianWatchDog();

	private Logger logger;

	/*
	 * @see
	 * org.eclipse.riena.core.RienaActivator#start(org.osgi.framework.BundleContext
	 * )
	 */
	@Override
	public void start(final BundleContext context) throws Exception {
		super.start(context);
		Activator.plugin = this;
		logger = Logger.getLogger(SerializerFactory.class.getName());
		logger.addHandler(watchDog);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	@Override
	public void stop(final BundleContext context) throws Exception {
		Activator.plugin = null;
		logger.removeHandler(watchDog);
		logger = null;
		super.stop(context);
	}

	/**
	 * Get the plugin instance.
	 * 
	 * @return
	 */
	public static Activator getDefault() {
		return plugin;
	}

}
